All Classes Namespaces Files Functions Variables Typedefs Enumerator Friends Macros Groups
grad_hessian.hpp File Reference
`#include <stan/math/fwd/core.hpp>`
`#include <stan/math/prim/mat/fun/Eigen.hpp>`
`#include <stan/math/rev/core.hpp>`
`#include <vector>`

Go to the source code of this file.

## Namespaces

| stan
| stan::math
| Matrices and templated mathematical functions.

## Functions

template<typename F >
void | stan::math::grad_hessian (const F &f, const Eigen::Matrix< double, Dynamic, 1 > &x, double &fx, Eigen::Matrix< double, Dynamic, Dynamic > &H, std::vector< Eigen::Matrix< double, Dynamic, Dynamic > > &grad_H)
| Calculate the value, the Hessian, and the gradient of the Hessian of the specified function at the specified argument. More...

[ Stan Home Page ] © 2011–2015, Stan Development Team.